/**
 * Copyright (c) FOM-Nikhef 2014-
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *
 *  Authors:
 *  2014-
 *     Mischa Sall\'e <msalle@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *     <grid-mw-security@nikhef.nl>
 *
 */

#ifndef SUBUSERDN_H
#define SUBUSERDN_H

#include <openssl/x509.h>

/**
 * Convert PEM string in certstring to chain of X509, returned in certstack.
 * Function is identical to lcmaps_pem_string_to_x509_chain()
 * return 0 on success, non-zero on error
 */
int pem_string_to_x509_chain(STACK_OF(X509) **certstack, char *certstring);

/**
 * Looks for the first proxy DN in given certificate chain, iff the EEC is a
 * robot certificate.
 * Return 0 on success, -1 on failure
 */
int lcmaps_get_subuser_dn(char **account, STACK_OF(X509) *chain);

#endif /* SUBUSERDN_H */
